import csv
import MySQLdb

# Database connection details
host = 'localhost'
user = 'phoeidpd_shop_user'
password = 'ensoPhWbHs@58'
database = 'phoeidpd_shop'

# Query to retrieve product report data
query = '''
    SELECT p.id AS product_id, p.name AS product_name, ps.variant AS variant_name,
           ps.price, ps.qty
    FROM products p
    INNER JOIN product_stocks ps ON p.id = ps.product_id
    ORDER BY p.id ASC
'''

try:
    # Connect to the database
    db = MySQLdb.connect(host=host, user=user, password=password, database=database)
    cursor = db.cursor()

    # Execute the query
    cursor.execute(query)

    # Fetch all the results
    results = cursor.fetchall()

    # Define the output file path
    output_file = 'product_report.csv'

    # Open the output file in write mode with CSV writer
    with open(output_file, 'w', newline='') as file:
        writer = csv.writer(file)

        # Write the header row
        header = ['Product ID', 'Product Name', 'Variant Name', 'Price', 'Quantity']
        writer.writerow(header)

        # Write the data rows
        for row in results:
            writer.writerow(row)

    print('Product report generated successfully!')

except Exception as e:
    print('Error:', e)

finally:
    # Close the database connection
    db.close()

